POST api/importservice/import-article?issueId={issueId}&number={number}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| issueId | integer |
Required |
|
| number | integer |
Required |
Body Parameters
Article| Name | Description | Type | Additional information |
|---|---|---|---|
| Title | string |
None. |
|
| Authors | Collection of Author |
None. |
|
| Abstract | string |
None. |
|
| Keywords | string |
None. |
|
| StartPage | integer |
None. |
|
| EndPage | integer |
None. |
|
| File | Collection of byte |
None. |
Request Formats
application/json, text/json
Sample:
{
"title": "sample string 1",
"authors": [
{
"firstName": "sample string 1",
"lastName": "sample string 2"
},
{
"firstName": "sample string 1",
"lastName": "sample string 2"
}
],
"abstract": "sample string 2",
"keywords": "sample string 3",
"startPage": 4,
"endPage": 5,
"file": "QEA="
}
application/xml, text/xml
Sample:
<ImportController.Article xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RucontAPI.Controllers">
<Abstract>sample string 2</Abstract>
<Authors>
<ImportController.Author>
<FirstName>sample string 1</FirstName>
<LastName>sample string 2</LastName>
</ImportController.Author>
<ImportController.Author>
<FirstName>sample string 1</FirstName>
<LastName>sample string 2</LastName>
</ImportController.Author>
</Authors>
<EndPage>5</EndPage>
<File>QEA=</File>
<Keywords>sample string 3</Keywords>
<StartPage>4</StartPage>
<Title>sample string 1</Title>
</ImportController.Article>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel
Sample:
Sample not available.